## libxml2 2.13.3+dfsg

=== debian/changelog ===
libxml2 (2.13.3+dfsg-0exp2) experimental; urgency=medium

  * d/control: add Provides: libxml2 (= ${source:Version})
    temporarily to reduce breakage during transition

 -- Aron Xu <aron@debian.org>  Sat, 24 Aug 2024 18:13:02 +0800

libxml2 (2.13.3+dfsg-0exp1) experimental; urgency=medium

  * New upstream release
  * Rename binary package libxml2 to libxml2n for new ABI without
    bumping the actual library SONAME

 -- Aron Xu <aron@debian.org>  Fri, 16 Aug 2024 22:13:37 +0800

libxml2 (2.13.1+dfsg-0exp1) experimental; urgency=medium

  * New upstream release
  * d/libxml2.symbols: update symbols

 -- Aron Xu <aron@debian.org>  Sat, 29 Jun 2024 14:45:40 +0800
