## libxml2 2.14.4+dfsg

=== debian/changelog ===
libxml2 (2.14.4+dfsg-0exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Jul 2025 20:59:44 +0200

libxml2 (2.14.3+dfsg-0exp3) experimental; urgency=medium

  * Non-maintainer upload.
  * parser: Fix custom SAX parsers without cdataBlock handler.
    Patch taken from the 2.14 branch. Closes: #1106645.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Jun 2025 21:43:20 +0200

libxml2 (2.14.3+dfsg-0exp2) experimental; urgency=medium

  * Non-maintainer upload.
  * Explicity configure --with-http --with-lzma.
  * Update symbols file.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jun 2025 13:38:30 +0200

libxml2 (2.14.3+dfsg-0exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 20 May 2025 07:13:43 +0200

libxml2 (2.14.2+dfsg-0exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Apr 2025 07:52:17 +0200

libxml2 (2.14.1+dfsg-0exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Addresses: #1102294.
  * New package libxml2-16 with new soname.
  * No more conflicts/breaks replaces with libxml2.
  * Update symbols file.
  * Refresh patches.
  * Configure without ICU, see 2.12.7+dfsg+really2.9.14-0.4.
  * Configure --with-readline; --with-history requires it.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Apr 2025 13:48:29 +0200
