=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 CONFIGURE_FLAGS := --with-history \
 		   --with-legacy \
 		   --with-ftp \
-		   --with-xptr-loc
+		   --with-xptr-loc \
+		   --with-http \
+		   --with-lzma \
 
 override_dh_auto_configure-arch: $(TARGETS:%=doconfigure-%)
 
@@ -32,7 +34,7 @@
 	touch $@
 
 ifeq (,$(filter noi18n,$(DEB_BUILD_PROFILES)))
-doconfigure-main: CONFIGURE_FLAGS += --with-python=no --with-icu
+doconfigure-main: CONFIGURE_FLAGS += --with-python=no
 else
 doconfigure-main: CONFIGURE_FLAGS += --with-python=no
 endif
@@ -64,7 +66,6 @@
 
 doinstall-main:
 	dh_auto_install --builddirectory=builddir/main
-	mv debian/tmp/usr/share/aclocal/libxml.m4 debian/tmp/usr/share/aclocal/libxml2.m4
 
 override_dh_auto_install-arch: $(TARGETS:%=doinstall-%)
 	find debian/tmp -name *.la -delete
@@ -84,7 +85,7 @@
 	sed -i -e 's,/lib/$(DEB_HOST_MULTIARCH),/lib,' debian/libxml2-dev/usr/bin/xml2-config
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibxml2n -V 'libxml2n (>= 2.9.11)' -- -c4
+	dh_makeshlibs -plibxml2-16 -V 'libxml2-16 (>= 2.14.1)' -- -c4
 	dh_makeshlibs --remaining-packages
 
 #  I need to specify all the targets (build, binary, clean, etc) as
