=== debian/changelog ===
libxml2 (2.14.5+dfsg-0exp2) experimental; urgency=medium

  * Non-maintainer upload.
  * Explicity configure with --enable-static and install the static
    libxml2.a library. LP: #2118828.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jul 2025 13:55:39 +0200

libxml2 (2.14.5+dfsg-0exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jul 2025 11:38:53 +0200
