=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  pkgconf,
 Build-Depends-Arch:
  dh-sequence-python3 <!nopython>,
- libicu-dev <!noi18n>,
  liblzma-dev,
  libpython3-all-dev <!nopython>,
  pkgconf,
@@ -19,6 +18,7 @@
  python3-setuptools,
  rename,
  zlib1g-dev | libz-dev,
+ libreadline-dev,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://xmlsoft.org
@@ -32,20 +32,17 @@
  can do this because it's written in SGML, the international standard
  metalanguage for markup languages.
 
-Package: libxml2n
+Package: libxml2-16
 Architecture: any
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: libxml2 (= ${source:Version})
 Conflicts:
  w3c-dtd-xhtml,
 Breaks:
  libxml-libxml-perl (<< 2.0207+dfsg+really+2.0134-3~),
- libxml2 (<< ${source:Version}),
-Replaces: libxml2
 Multi-Arch: same
 Description: ${source:Synopsis}
  ${source:Extended-Description}
@@ -71,9 +68,8 @@
 Architecture: any
 Section: libdevel
 Depends:
- libicu-dev,
  liblzma-dev,
- libxml2n (= ${binary:Version}),
+ libxml2-16 (= ${binary:Version}),
  zlib1g-dev,
  ${misc:Depends},
 Suggests:
