=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,9 @@
 	touch $@
 
 ifeq (,$(filter noi18n,$(DEB_BUILD_PROFILES)))
-doconfigure-main: CONFIGURE_FLAGS += --with-python=no
+doconfigure-main: CONFIGURE_FLAGS += --with-python=no --enable-static
 else
-doconfigure-main: CONFIGURE_FLAGS += --with-python=no
+doconfigure-main: CONFIGURE_FLAGS += --with-python=no --enable-static
 endif
 doconfigure-python%: CONFIGURE_FLAGS += --with-python
 	#PYTHON_VERSION=$(subst python,,$(*))
@@ -70,6 +70,7 @@
 override_dh_auto_install-arch: $(TARGETS:%=doinstall-%)
 	find debian/tmp -name *.la -delete
 	rm -r debian/tmp/usr/lib/python*/site-packages/__pycache__
+	rm -f debian/tmp/usr/lib/python*/site-packages/*.a
 
 doinstall-python%:
 	dh_auto_install --builddirectory=builddir/main/python$(*)
