=== debian/changelog ===
libxml2 (2.14.6+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, drop git-updates patch.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Oct 2025 09:52:40 +0200

libxml2 (2.14.5+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to the 2.14 branch 20250826. Closes: #1111626, #1111803.
  * Fix nopython build profile (Helmut Grohne). Closes: #1078673.

 -- Matthias Klose <doko@debian.org>  Tue, 26 Aug 2025 09:31:15 +0200

libxml2 (2.14.5+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to the 2.14 branch 20250812.
    - CVE-2025-7425: tree: Guard against atype corruption.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Aug 2025 11:52:25 +0200
