## libxml2 2.15.0+dfsg

=== debian/changelog ===
libxml2 (2.15.0+dfsg-0.3~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Oct 2025 11:15:13 -0700

libxml2 (2.15.0+dfsg-0.3) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Configure with --with-docs.
    - Add build dependencies for building the docs.
    - The devhelp documentation is not built anymore.
  * Update symbols file.
  * Update libxml2-doc doc-base file.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Oct 2025 12:08:07 +0200
