=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,12 @@
 		   --with-xptr-loc \
 		   --with-http \
 		   --with-lzma \
+		   --with-docs \
 
 override_dh_auto_configure-arch: $(TARGETS:%=doconfigure-%)
 
 override_dh_auto_configure-indep:
-	dh_auto_configure -- --docdir \$${prefix}/share/doc/libxml2 --enable-rebuild-docs --with-python=no
+	dh_auto_configure -- --with-docs --docdir \$${prefix}/share/doc/libxml2 --enable-rebuild-docs --with-python=no
 
 doconfigure-%:
 	export PYTHON=$(PYTHON) && dh_auto_configure --builddirectory=builddir/$(*) -- $(CONFIGURE_FLAGS) && unset PYTHON
@@ -69,8 +70,10 @@
 
 override_dh_auto_install-arch: $(TARGETS:%=doinstall-%)
 	find debian/tmp -name *.la -delete
+ifneq ($(PY3VERS),)
 	rm -r debian/tmp/usr/lib/python*/site-packages/__pycache__
 	rm -f debian/tmp/usr/lib/python*/site-packages/*.a
+endif
 
 doinstall-python%:
 	dh_auto_install --builddirectory=builddir/main/python$(*)
@@ -98,6 +101,11 @@
 clean build-arch binary-arch build-indep binary-indep:
 	dh $@
 
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
+
 build: build-arch build-indep
 binary: binary-arch binary-indep
