## libxml2 2.15.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -88,6 +88,29 @@
 	dh_install -a
 	sed -i -e 's,/lib/$(DEB_HOST_MULTIARCH),/lib,' debian/libxml2-dev/usr/bin/xml2-config
 
+DEB_SVERSION    := $(shell dpkg-parsechangelog -S Version | sed 's/-.*//')
+BUILD_DATE := $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')
+source_dir := $(shell basename $(CURDIR))
+source_files = $(addprefix $(source_dir)/, \
+                 $(filter-out stamps .pc .git .gitignore debian test result builddir, $(wildcard *)))
+
+override_dh_install-indep:
+	dh_install -i
+
+	mkdir -p debian/libxml2-source/usr/src/libxml2
+	tar -C .. -c -f - $(source_files) | tar -C debian/libxml2-source/usr/src/libxml2 -x -f -
+	-make -C debian/libxml2-source/usr/src/libxml2/$(source_dir) distclean
+	cd debian/libxml2-source/usr/src/libxml2 \
+	  && find -depth -newermt '$(BUILD_DATE)' -print0 | \
+	     xargs -0r touch --no-dereference --date='$(BUILD_DATE)' \
+	  && find  -type f -print0 | LC_ALL=C sort -z | \
+	     tar --null -T - -c --xz --mode=go=rX,u+rw,a-s \
+		--owner=0 --group=0 --numeric-owner --sort=name \
+		--xform='s=^[^/]*\/=libxml2-$(DEB_SVERSION)/=' \
+		-f libxml2-$(DEB_SVERSION).tar.xz \
+		$(source_dir)
+	rm -rf debian/libxml2-source/usr/src/libxml2/$(source_dir)
+
 override_dh_makeshlibs:
 	dh_makeshlibs -plibxml2-16 -V 'libxml2-16 (>= 2.14.1)' -- -c4
 	dh_makeshlibs --remaining-packages
@@ -101,11 +124,6 @@
 clean build-arch binary-arch build-indep binary-indep:
 	dh $@
 
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
-
 build: build-arch build-indep
 binary: binary-arch binary-indep
